serverless-latest-layer-version

    2.1.1 • Public • Published

    serverless-latest-layer-version

    Build Status Semantic Release enabled Renovate enabled MIT license

    This is the Serverless plugin for AWS Lambda Layers which enables missing "latest" version tag

    demo

    Why?

    limits

    Unlike invoking Lambda function. Lambda Layer does not support $LATEST version tag.

    Install

    First, install package as development dependency.

    $ npm i serverless-latest-layer-version --save-dev

    Then, add the plugin to serverless.yml

    # serverless.yml 
     
    plugins:
      - serverless-latest-layer-version

    Setup

    Just change layer version to latest. The plugin automatically replaces latest version tag to actual latest version number.

    For example, if Previously specified layer arn is arn:aws:lambda:us-east-1:800406105498:layer:nsolid-node-10:6. replace that as arn:aws:lambda:us-east-1:800406105498:layer:nsolid-node-10:latest. That's it!

    Changelog

    See CHANGELOG.

    License

    MIT

    See full license on mooyoul.mit-license.org

    Install

    npm i serverless-latest-layer-version

    DownloadsWeekly Downloads

    5,695

    Version

    2.1.1

    License

    MIT

    Unpacked Size

    11.1 kB

    Total Files

    5

    Last publish

    Collaborators

    • mooyoul